Bug 29189 - Font Server crashes on some true type fonts
Font Server crashes on some true type fonts
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-02-24 10:36 EST by Douglas Kilpatrick
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-15 14:35:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
typescript (2.78 KB, text/plain)
2001-03-12 16:14 EST, Tim Waugh
no flags Details
typescript (3.96 KB, text/plain)
2001-03-12 18:10 EST, Tim Waugh
no flags Details

  None (edit)
Description Douglas Kilpatrick 2001-02-24 10:36:47 EST
To Reproduce:
Start "xfontsel", select a font from the ttfonts backage (I use
"fountry=macromedia" to cause xfontsel to load one.  Watch xfontsel
freeze.  On your handy root xterm, run "service xfs restart", and watch the
"stop" step fail cause the process is no longer running.  Xkill the
xfontsel window to remove it.
Comment 1 Glen Foster 2001-02-26 18:51:33 EST
We (Red Hat) should really try to resolve this before next release.
Comment 2 Mike A. Harris 2001-02-28 17:16:15 EST
This is fixed in Rawhide release -9 or so I believe, definitely should
be in the current -11 release for sure.  Also, I've just got a new update
for this xfs issue from XFree86 CVS which I'm incorporating into a -12
release which I hope to have out by days end.  As such I'm closing this as
the current fix appears to work fine.
Comment 3 Douglas Kilpatrick 2001-02-28 19:38:44 EST
I'm using xfs from XFree86-xfs-4.0.2-9.2.

xfontsel still crashed xfs, and now no apps are finding ANY fonts... yay.
Comment 4 Douglas Kilpatrick 2001-03-06 10:09:30 EST
XFree86-xfs-4.0.2-11 from rawhide.

Still crashes.
Comment 5 Tim Waugh 2001-03-12 13:37:21 EST
Mike, what's the status on th
Comment 6 Preston Brown 2001-03-12 14:23:13 EST
Can someone _please_ try to reproduce this with gdb attached to xfs?  We need 
a backtrace from a coredump, at very least.
Comment 7 Tim Waugh 2001-03-12 16:14:41 EST
Created attachment 12462 [details]
Comment 8 Tim Waugh 2001-03-12 18:09:35 EST
Here's one with symbols and stuff.
Comment 9 Tim Waugh 2001-03-12 18:10:01 EST
Created attachment 12483 [details]
Comment 10 Preston Brown 2001-03-15 14:35:04 EST
This should be fixed in the next build of X, right Mike?
Comment 11 Mike A. Harris 2001-03-15 21:11:14 EST
Right.  Fixed in 4.0.2a-1

Note You need to log in before you can comment on or make changes to this bug.